|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.opencms.workplace.CmsWorkplace
org.opencms.workplace.tools.CmsToolDialog
org.opencms.workplace.CmsDialog
org.opencms.workplace.list.A_CmsListDialog
org.opencms.workplace.comparison.CmsPropertyComparisonList
public class CmsPropertyComparisonList
List for property comparison including columns for property name and the values.
| Field Summary | |
|---|---|
static String |
LIST_ACTION_VIEW1
view first file action constant. |
static String |
LIST_ACTION_VIEW2
view second file action constant. |
static String |
LIST_COLUMN_ICON
list action id constant. |
static String |
LIST_COLUMN_PROPERTY_NAME
list column id constant. |
static String |
LIST_COLUMN_TYPE
list action id constant. |
static String |
LIST_COLUMN_VERSION_1
list column id constant. |
static String |
LIST_COLUMN_VERSION_2
list column id constant. |
static String |
LIST_DEFACTION_VIEW
list default action id constant. |
static String |
LIST_DETAIL_TYPE
list independent action id constant. |
static String |
LIST_IACTION_SHOW
list independent action id constant. |
static String |
LIST_ID
List id constant. |
static String |
PARAM_COMPARE
request parameter indicating whether attributes, elements or properties are compared. |
protected static int |
TRIM_AT_LENGTH
The maximum length of properties and attributes to be displayed. |
| Fields inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
PARAM_BASE, PARAM_PATH, PARAM_ROOT, PARAM_STYLE, STYLE_NEW |
| Constructor Summary | |
|---|---|
|
CmsPropertyComparisonList(CmsJspActionElement jsp)
Public constructor. |
protected |
CmsPropertyComparisonList(CmsJspActionElement jsp,
String listId,
CmsMessageContainer listName,
String sortedColId,
CmsListOrderEnum sortOrder,
String searchableColId)
Public constructor. |
|
CmsPropertyComparisonList(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
Public constructor with JSP variables. |
protected |
CmsPropertyComparisonList(String listId,
CmsJspActionElement jsp)
Protected constructor. |
| Method Summary | |
|---|---|
void |
executeListMultiActions()
This method should handle every defined list multi action, by comparing with the id
of the action to execute. |
void |
executeListSingleActions()
This method should handle every defined list single action, by comparing with the id
of the action to execute. |
protected void |
fillDetails(String detailId)
Lazy initialization for detail data. |
CmsFile |
getFile1()
Returns the file1. |
CmsFile |
getFile2()
Returns the file2. |
protected List |
getListItems()
Should generate a list with the list items to be displayed. |
String |
getParamPath1()
Returns the paramPath1. |
String |
getParamPath2()
Returns the paramPath2. |
String |
getParamTagId1()
Returns the paramTagId1. |
String |
getParamTagId2()
Returns the paramTagId2. |
String |
getParamVersion1()
Returns the paramNewversionid. |
String |
getParamVersion2()
Returns the paramOldversionid. |
int |
getResourceType()
Returns the resourceType. |
protected void |
initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
Analyzes the request for workplace parameters and adjusts the workplace settings accordingly. |
protected void |
setColumns(CmsListMetadata metadata)
Should create the columns and add them to the given list metadata object. |
protected void |
setIndependentActions(CmsListMetadata metadata)
Should add the independent actions to the given list metadata object. |
protected void |
setMultiActions(CmsListMetadata metadata)
Should add the multi actions to the given list metadata object. |
void |
setParamPath1(String paramPath1)
Sets the paramPath1. |
void |
setParamPath2(String paramPath2)
Sets the paramPath2. |
void |
setParamTagId1(String paramTagId1)
Sets the paramTagId1. |
void |
setParamTagId2(String paramTagId2)
Sets the paramTagId2. |
void |
setParamVersion1(String paramNewversionid)
Sets the paramNewversionid. |
void |
setParamVersion2(String paramOldversionid)
Sets the paramOldversionid. |
| Methods inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
dialogTitle, getAdminTool, getCurrentToolPath, getParamBase, getParamPath, getParamRoot, getParamStyle, getParentPath, getToolManager, iconsBlockArea, iconsBlockAreaEnd, iconsBlockAreaStart, initAdminTool, pageBody, pageHtmlStyle, setParamBase, setParamPath, setParamRoot, setParamStyle, useNewStyle |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final String LIST_ACTION_VIEW1
public static final String LIST_ACTION_VIEW2
public static final String LIST_COLUMN_ICON
public static final String LIST_COLUMN_PROPERTY_NAME
public static final String LIST_COLUMN_TYPE
public static final String LIST_COLUMN_VERSION_1
public static final String LIST_COLUMN_VERSION_2
public static final String LIST_DEFACTION_VIEW
public static final String LIST_DETAIL_TYPE
public static final String LIST_IACTION_SHOW
public static final String LIST_ID
public static final String PARAM_COMPARE
protected static final int TRIM_AT_LENGTH
| Constructor Detail |
|---|
public CmsPropertyComparisonList(CmsJspActionElement jsp)
jsp - an initialized JSP action element
public CmsPropertyComparisonList(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
context - the JSP page contextreq - the JSP requestres - the JSP response
protected CmsPropertyComparisonList(CmsJspActionElement jsp,
String listId,
CmsMessageContainer listName,
String sortedColId,
CmsListOrderEnum sortOrder,
String searchableColId)
jsp - an initialized JSP action elementlistId - the id of the displayed listlistName - the name of the listsortedColId - the a priory sorted columnsortOrder - the order of the sorted columnsearchableColId - the column to search into
protected CmsPropertyComparisonList(String listId,
CmsJspActionElement jsp)
listId - the id of the specialized listjsp - an initialized JSP action element| Method Detail |
|---|
public void executeListMultiActions()
A_CmsListDialogA_CmsListDialog.getParamListAction() with the id
of the action to execute.
executeListMultiActions in class A_CmsListDialogA_CmsListDialog.executeListMultiActions()
public void executeListSingleActions()
throws IOException,
ServletException
A_CmsListDialogA_CmsListDialog.getParamListAction() with the id
of the action to execute.
executeListSingleActions in class A_CmsListDialogIOException - in case of errors when including a required sub-element
ServletException - in case of errors when including a required sub-elementA_CmsListDialog.executeListSingleActions()public CmsFile getFile1()
public CmsFile getFile2()
public String getParamPath1()
public String getParamPath2()
public String getParamTagId1()
public String getParamTagId2()
public String getParamVersion1()
public String getParamVersion2()
public int getResourceType()
public void setParamPath1(String paramPath1)
paramPath1 - the paramPath1 to setpublic void setParamPath2(String paramPath2)
paramPath2 - the paramPath2 to setpublic void setParamTagId1(String paramTagId1)
paramTagId1 - the paramTagId1 to setpublic void setParamTagId2(String paramTagId2)
paramTagId2 - the paramTagId2 to setpublic void setParamVersion1(String paramNewversionid)
paramNewversionid - the paramNewversionid to setpublic void setParamVersion2(String paramOldversionid)
paramOldversionid - the paramOldversionid to setprotected void fillDetails(String detailId)
A_CmsListDialog
Should fill the given detail column for every list item in
Should not throw any kind of exception.CmsHtmlList.getAllContent()
fillDetails in class A_CmsListDialogdetailId - the id of the detail to initializeA_CmsListDialog.fillDetails(java.lang.String)
protected List getListItems()
throws CmsException
A_CmsListDialog
getListItems in class A_CmsListDialogCmsListItems
CmsException - if something goes wrongA_CmsListDialog.getListItems()
protected void initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
CmsWorkplace
initWorkplaceRequestValues in class A_CmsListDialogsettings - the workplace settingsrequest - the current requestCmsWorkplace.initWorkplaceRequestValues(org.opencms.workplace.CmsWorkplaceSettings, javax.servlet.http.HttpServletRequest)protected void setColumns(CmsListMetadata metadata)
A_CmsListDialogThis method will be just executed once, the first time the constructor is called.
setColumns in class A_CmsListDialogmetadata - the list metadataA_CmsListDialog.setColumns(org.opencms.workplace.list.CmsListMetadata)protected void setIndependentActions(CmsListMetadata metadata)
A_CmsListDialogThis method will be just executed once, the first time the constructor is called.
setIndependentActions in class A_CmsListDialogmetadata - the list metadataA_CmsListDialog.setIndependentActions(org.opencms.workplace.list.CmsListMetadata)protected void setMultiActions(CmsListMetadata metadata)
A_CmsListDialogThis method will be just executed once, the first time the constructor is called.
setMultiActions in class A_CmsListDialogmetadata - the list metadataA_CmsListDialog.setMultiActions(org.opencms.workplace.list.CmsListMetadata)
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||